Hi @roloNCC
I think we lost the ability to get accumulate totals with the measure tools as we could in the past (I don't recall exactly how things worked in the past though) ... but I had an iLogic rule on hand from a recent topic here on this forum where someone was wanting to total the selected edge selections... I took a minute to modify that code to get the total of the selected faces.
This should work in a part or assembly file. Post back if you have any issues with it.
I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com
oPrecision = 3
Dim TotalLength As Double
Dim oHighLight As Inventor.HighlightSet
oHighLight = ThisDoc.Document.CreateHighlightSet
On Error GoTo EndRule
oUOM = ThisDoc.Document.UnitsOfMeasure
oLUnits = oUOM.LengthUnits
oUnitString = oUOM.GetStringFromType(oLUnits)
oArea = " "
Dim oPrompt1 As String
oPrompt1 = "Select Faces, then press Escape to end..."
While True
selectFace = ThisApplication.CommandManager.Pick _
(SelectionFilterEnum.kAllPlanarEntities, oPrompt1 & oPrompt2 )
'if nothing then exit
If IsNothing(selectFace) Then Exit While
Dim oEval As SurfaceEvaluator = selectFace.Evaluator
oArea = oEval.Area
Call oHighLight.AddItem(selectFace)
TotalArea = TotalArea + oArea
oPrompt1 = Round(oUOM.ConvertUnits(oArea , "cm", _
oLUnits), oPrecision) & " " & oUnitString & "^2"
oPrompt2 = Round(oUOM.ConvertUnits(TotalArea, "cm", _
oLUnits), oPrecision) & " " & oUnitString & "^2"
If oPrompt2 = oPrompt1 Then
oPrompt2 = ""
Else
oPrompt1 = "[ " & oPrompt1 & " ] Sum: "
End If
End While
InputBox("Total:", "ilogic", oPrompt2)
EndRule :
oHighLight.Clear